Subject: RE: 169.254/16 IP addresses

From: "Hattig, Myron" <[email-masked]>
Date: Tue, 18 Apr 2000 15:45:06 -0700

The only thing I wish us to agree on is that we don't
produce a spec that says link-local addresses are not
"NAT"able. See below comments only address this point.

> I disagree with both of you. Reasons:
> 
> 1. NAT boxes are themselves routers. They may contain code to
> specifically guard against ingesting packets from link-local space.

Certainly a vendor could build 
a NAT box that could have a LAN interface with a link-local address
and other devices on the LAN segment could communicate to the NAT
box through the LAN interface that is using a link local address. 
This has no negative affects on other NAT boxes with DHCP servers 
or the clients that connect to those other NAT boxes.

> 2. NAT Boxes often contain DHCP servers for dealing with the 
> local LAN.
> DHCP servers specifically must not use link local addresses.

Agreeing or disagree that link-local address are "NAT"able has
no affect on this case because link-local addrs are not used.
 
> 3. Gateway/default route discovery: to use link-local 
> addressing with a
> NAT, some means of gateway discovery must be employed to determine the
> IP address of the NAT box. This will have to be icmp router 
> discovery or
> other mechanism. Otherwise, the end stations will not know 
> where to send
> packets which are destined beyond the local network.

Router discovery would work quite nicely I think since the NAT box
is a router.
 
> 4. A large installed base of systems exists which treats 169.254/16 as
> link-local space only, namely Win98 and later. It's not clear changing
> the rules at this time can be done in a compatible fashion.

Win98 and later boxes communicate just fine with link-local addresses 
today. How does agreeing or disagree that link-local address are "NAT"able 
affect this?

> 5. Since nearly every NAT box on the market also supports 
> DHCP, why are
> we trying to reinvent the wheel here? Why not just let that NAT box be
> the DHCP server and be done with it? I guess this all comes down to,
> "what problem is it that we're trying to solve?" Seems to me 
> the proper
> and workable solutions are already in place, in proven, installed
> product.

Again, if someone uses DHCP in the NAT box then there are no questions
about link-local addresses. 

So far, I don't see anything breaking if we allow link-local addrs to 
be "NAT"able.

-myron

---

From: Daniel Senie <[email-masked]>
Date: Tue, 18 Apr 2000 23:03:05 -0400

> or the clients that connect to those other NAT boxes.

Sure. I could build one tomorrow. I still don't see the point.

> no affect on this case because link-local addrs are not used.

OK, good. We've settled that a discovery has to take place. In a message
a few days ago, someone was contesting that need.

> today. How does agreeing or disagree that link-local address are "NAT"able

Research question: Will a Win98 box using a 169.254/16 address send out
an ICMP router discovery message? Will it respond to one? If not, you're
back to figuring out how to get that NAT box's IP address in as the
default route in the Win98 box.

> about link-local addresses.

You haven't answered my question, being "why are we reinventing?"

> So far, I don't see anything breaking if we allow link-local addrs to

So far, I don't see the point in making them work with NAT.

-- 
-----------------------------------------------------------------
Daniel Senie                                        [email-masked]
Amaranth Networks Inc.                    http://www.amaranth.com